// Copyright 2004 The Apache Software Foundation
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

namespace AspectSharp.Example.Aop.Interceptors
{
	using System;

	using AopAlliance.Intercept;

	/// <summary>
	/// Summary description for HashcodeDefaultValueInterceptor.
	/// </summary>
	public class HashcodeDefaultValueInterceptor : IMethodInterceptor
	{
		public object Invoke(IMethodInvocation invocation)
		{
			object retVal = invocation.Proceed();
			
			if (retVal == null)
			{
				retVal = "Whoops! no value setted for this key!";
			}

			return retVal;
		}
	}
}
